﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinTree;
using Nullable = Infragistics.Win.UltraWinTree.Nullable;

namespace WindowsFormsApplication2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ultraTree1.Override.CellClickAction = CellClickAction.EditCell;
            this.ultraTree1.ViewStyle = ViewStyle.OutlookExpress;
           
            UltraTreeColumnSet rootColumnSet = this.ultraTree1.ColumnSettings.RootColumnSet;
           
            UltraTreeNodeColumn nameColumn = rootColumnSet.Columns.Add(@"Name");
            nameColumn.DataType = typeof(string);

            UltraTreeNodeColumn valueColumn = rootColumnSet.Columns.Add(@"Value");
            
            this.ultraTree1.ColumnSettings.AutoFitColumns = AutoFitColumns.ResizeAllColumns;

            // add a root node
            UltraTreeNode rootNode = this.ultraTree1.Nodes.Add("Root");
            rootNode.SetCellValue(nameColumn, "Root");

            // add a child
            UltraTreeNode childNode = rootNode.Nodes.Add("Child", "Child");
            childNode.SetCellValue(nameColumn, "Child");

            childNode.Cells[@"Value"].AllowEdit = AllowCellEdit.Full;
            childNode.Cells[@"Value"].EditorComponent = new UltraCheckEditor();

            // set the value
            childNode.SetCellValue(valueColumn, false);
        }
    }
}
